Subject: Re: linux-next: build failure after merge of the vfs-brauner tree

From: Mark Brown <[email-masked]>
Date: Sun, 8 Feb 2026 20:55:01 +0000

On Fri, Feb 06, 2026 at 01:19:12PM +0100, Christian Brauner wrote:
> On Wed, Feb 04, 2026 at 02:31:06PM +0000, Mark Brown wrote:

> > This means that vfs-brauner is still held at the version from
> > next-20260126 and none of the below commits have been in -next:

> This should've been fixed. Not sure what happened.
> I've reassembled vfs.all completely just to be sure.

I am seeing an updated version (I've currently got commit
91dfa1c939f479938d83793389ad7cb9c1faa4de dated 7th Feb) but I'm still
seeing the same build failure:

  CC       statmount_test
statmount_test.c:36:26: error: conflicting types for 'statmount_alloc'; have 'struct statmount *(uint64_t,  int,  uint64_t,  unsigned int)' {aka 'struct statmount *(long unsigned int,  int,  long unsigned int,  unsigned int)'}
   36 | static struct statmount *statmount_alloc(uint64_t mnt_id, int fd, uint64_t mask, unsigned int flags)
      |                          ^~~~~~~~~~~~~~~
In file included from statmount_test.c:15:
statmount.h:91:33: note: previous definition of 'statmount_alloc' with type 'struct statmount *(uint64_t,  uint64_t,  uint64_t)' {aka 'struct statmount *(long unsigned int,  long unsigned int,  long unsigned int)'}
   91 | static inline struct statmount *statmount_alloc(uint64_t mnt_id, uint64_t mnt_ns_id, uint64_t mask)
      |                                 ^~~~~~~~~~~~~~~